Changeset 22119 in vbox for trunk/src/VBox/Installer
- Timestamp:
- Aug 10, 2009 9:01:10 AM (15 years ago)
- File:
-
- 1 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Installer/solaris/vboxconfig.sh
r22082 r22119 68 68 } 69 69 70 subprint() 71 { 72 if test "$ISSILENT" != "$SILENTOP"; then 73 echo 1>&2 " - $1" 74 fi 75 } 76 70 77 warnprint() 71 78 { … … 209 216 210 217 # module_added(modname) 211 # returns 0 if added, 1otherwise218 # returns 1 if added, 0 otherwise 212 219 module_added() 213 220 { … … 269 276 270 277 if test $? -ne 0; then 271 errorprint " -Adding: $moddesc module ...FAILED!"278 subprint "Adding: $moddesc module ...FAILED!" 272 279 if test "$fatal" = "$FATALOP"; then 273 280 exit 1 … … 294 301 $BIN_REMDRV $modname 295 302 if test $? -eq 0; then 296 su ccess " -Removed: $moddesc module"303 subprint "Removed: $moddesc module" 297 304 return 0 298 305 else 299 errorprint " -Removing: $moddesc ...FAILED!"306 subprint "Removing: $moddesc ...FAILED!" 300 307 if test "$fatal" = "$FATALOP"; then 301 308 exit 1 … … 322 329 $BIN_MODUNLOAD -i $modid 323 330 if test $? -eq 0; then 324 su ccess " -Unloaded: $moddesc module"331 subprint "Unloaded: $moddesc module" 325 332 else 326 errorprint " -Unloading: $moddesc ...FAILED!"333 subprint "Unloading: $moddesc ...FAILED!" 327 334 if test "$fatal" = "$FATALOP"; then 328 335 exit 1 … … 349 356 $BIN_MODLOAD -p $modname 350 357 if test $? -eq 0; then 351 su ccess " -Loaded: $moddesc module"358 subprint "Loaded: $moddesc module" 352 359 return 0 353 360 else 354 errorprint " -Loading: $modesc ...FAILED!"361 subprint "Loading: $modesc ...FAILED!" 355 362 if test "$fatal" = "$FATALOP"; then 356 363 exit 1 … … 497 504 $BIN_SVCCFG delete svc:/application/virtualbox/webservice:default 498 505 if test "$?" -eq 0; then 499 su ccess " -Unloaded: Web service"506 subprint "Unloaded: Web service" 500 507 else 501 warnprint " -Unloading: Web service ...ERROR(S)."508 subprint "Unloading: Web service ...ERROR(S)." 502 509 fi 503 510 fi … … 509 516 $BIN_SVCCFG delete svc:/application/virtualbox/zoneaccess 510 517 if test "$?" -eq 0; then 511 su ccess " -Unloaded: Zone access service"518 subprint "Unloaded: Zone access service" 512 519 else 513 warnprint " -Unloading: Zone access service ...ERROR(S)."520 subprint "Unloading: Zone access service ...ERROR(S)." 514 521 fi 515 522 fi … … 566 573 /usr/sbin/svcadm disable -s svc:/application/virtualbox/webservice:default 567 574 if test "$?" -eq 0; then 568 su ccess " -Loaded: Web service"575 subprint "Loaded: Web service" 569 576 else 570 warnprint " -Loading: Web service ...ERROR(S)."577 subprint "Loading: Web service ...ERROR(S)." 571 578 fi 572 579 fi … … 577 584 /usr/sbin/svcadm enable -s svc:/application/virtualbox/zoneaccess 578 585 if test "$?" -eq 0; then 579 su ccess " -Loaded: Zone access service"586 subprint "Loaded: Zone access service" 580 587 else 581 warnprint " -Loading: Zone access service ...ERROR(S)."588 subprint "Loading: Zone access service ...ERROR(S)." 582 589 fi 583 590 fi
Note:
See TracChangeset
for help on using the changeset viewer.